/*
 * 
 *  This file is part of Sourceprojects.org Lycia Copyright 2010 noctarius
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 * 
 */
package org.sourceprojects.xmlparser.exceptions;

import org.sourceprojects.lycia.exceptions.LyciaInitializationException;
import org.sourceprojects.xmlparser.ResourceResolver;
import org.sourceprojects.xmlparser.XmlParser;

/**
 * An exception class that is thrown as wrapped exception on instantiation of
 * {@link ResourceResolver} and {@link XmlParser} if some exception occurs
 * 
 * @author noctarius
 * @since 0.0.1
 * @deprecated since 1.9.7
 */
@Deprecated
public class XmlParserInitializationException extends
		LyciaInitializationException {
	private static final long serialVersionUID = -2334285430152519969L;

	public XmlParserInitializationException() {
		super();
	}

	public XmlParserInitializationException(final String message,
			final Throwable cause) {
		super(message, cause);
	}

	public XmlParserInitializationException(final String message) {
		super(message);
	}

	public XmlParserInitializationException(final Throwable cause) {
		super(cause);
	}

}
