/*
 * 
 *  This file is part of Sourceprojects.org Lycia Copyright 2010 noctarius
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 * 
 */
package org.sourceprojects.xmlparser.exceptions;

import org.sourceprojects.lycia.exceptions.LyciaParsingException;
import org.sourceprojects.xmlparser.XmlParser;
import org.w3c.dom.Document;

/**
 * An exception class that is thrown as wrapped exception on parsing /
 * transforming xml {@link Document}s on {@link XmlParser} implementations
 * 
 * @author noctarius
 * @since 0.0.1
 * @deprecated since 1.9.7
 */
@Deprecated
public class XmlParserParsingException extends LyciaParsingException {
	private static final long serialVersionUID = -910536554897959488L;

	public XmlParserParsingException() {
		super();
	}

	public XmlParserParsingException(final String message, final Throwable cause) {
		super(message, cause);
	}

	public XmlParserParsingException(final String message) {
		super(message);
	}

	public XmlParserParsingException(final Throwable cause) {
		super(cause);
	}

}
